=== binsource/Makefile ===
SUBDIR = busybox cowloop device-mapper cryptsetup-luks hwsetup mdadm nbd shfs sysvinit udev util-linux

all: $(SUBDIR)
	for dir in $^;do make -C $$dir; done

clean: $(SUBDIR)
	for dir in $^;do make -C $$dir clean; done

realclean: $(SUBDIR)
	for dir in $^;do make -C $$dir realclean; done
