=== binsource/busybox/Makefile ===
VERSION = 1.01
SITE = http://www.busybox.net/downloads
DOWNLODER = curl -O

all: busybox

busybox: busybox-$(VERSION) config-$(VERSION).conf
	cp config-$(VERSION).conf busybox-$(VERSION)/.config
	make -C busybox-$(VERSION) oldconfig
	make -C busybox-$(VERSION)
	ln -s busybox-$(VERSION)/busybox

busybox-$(VERSION): busybox-$(VERSION).tar.bz2
	tar xjf $<

busybox-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f busybox
	rm -rf busybox-$(VERSION)

realclean: clean
	rm -rf busybox-$(VERSION).tar.bz2
