=== binsource/cowloop/Makefile ===
VERSION = 2.15
SITE = http://www.atconsultancy.nl/cowloop/packages
DOWNLODER = curl -O

all: cowdev cowrepair

cowdev: cowloop-$(VERSION)
	make -C cowloop-$(VERSION) cowdev
	strip cowloop-$(VERSION)/cowdev
	ln -s cowloop-$(VERSION)/cowdev

cowrepair: cowloop-$(VERSION)
	make -C cowloop-$(VERSION) cowrepair
	strip cowloop-$(VERSION)/cowrepair
	ln -s cowloop-$(VERSION)/cowrepair

cowloop-$(VERSION): cowloop-$(VERSION).tar.gz
	tar xzf $<
	#tar xzf cowloop-$(VERSION).tar.gz

cowloop-$(VERSION).tar.gz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f cowdev cowrepair
	rm -rf cowloop-$(VERSION)

realclean: clean
	rm -f cowloop-$(VERSION).tar.gz
