=== binsource/cryptsetup-luks/Makefile ===
VERSION = 1.0.1
SITE = http://luks.endorphin.org/source
DOWNLODER = curl -O

LIBDEVMAPPER = ../device-mapper/libdevmapper.so

all: cryptsetup

cryptsetup: cryptsetup-luks-$(VERSION)/Makefile $(LIBDEVMAPPER)
	make -C cryptsetup-luks-$(VERSION)
	cd cryptsetup-luks-$(VERSION)/src && \
	    gcc -O2 cryptsetup.o \
	    -Wl,-Bstatic -lpopt -Wl,-Bdynamic \
	    ../lib/.libs/libcryptsetup.a \
	    ../../$(LIBDEVMAPPER) \
	    -Wl,-Bstatic -luuid -Wl,-Bdynamic \
	    -o ../../cryptsetup
	strip cryptsetup

$(LIBDEVMAPPER):
	make -C $(LIBDEVMAPPER) `basename $(LIBDEVMAPPER)`

cryptsetup-luks-$(VERSION)/Makefile: cryptsetup-luks-$(VERSION)
	cd $< && ./configure --enable-static

cryptsetup-luks-$(VERSION): cryptsetup-luks-$(VERSION).tar.bz2
	tar xjf $<

cryptsetup-luks-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f cryptsetup
	rm -rf cryptsetup-luks-$(VERSION)

realclean: clean
	rm -f cryptsetup-luks-$(VERSION).tar.bz2
