=== binsource/device-mapper/Makefile ===
# versoin 1.01 is required by cryptsetup-luks
#VERSION = 1.02.02
VERSION = 1.01.05
SITE = ftp://sources.redhat.com/pub/dm/
DOWNLODER = curl -O

all: libdevmapper.so dmsetup

libdevmapper.so: device-mapper.$(VERSION)/Makefile
	make -C device-mapper.$(VERSION) lib
	strip device-mapper.$(VERSION)/lib/ioctl/libdevmapper.so
	ln -s device-mapper.$(VERSION)/lib/ioctl/libdevmapper.so ./libdevmapper.so

dmsetup: device-mapper.$(VERSION)/Makefile
	make -C device-mapper.$(VERSION) dmsetup
	strip device-mapper.$(VERSION)/dmsetup/dmsetup
	ln -s device-mapper.$(VERSION)/dmsetup/dmsetup ./dmsetup

device-mapper.$(VERSION)/Makefile: device-mapper.$(VERSION)
	cd $< && ./configure

device-mapper.$(VERSION): device-mapper.$(VERSION).tgz
	tar xzf $<

device-mapper.$(VERSION).tgz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f libdevmapper.so dmsetup
	rm -rf device-mapper.$(VERSION)

realclean: clean
	rm -f device-mapper.$(VERSION).tgz
