=== binsource/hwsetup/Makefile ===
VERSION = 1.1-VIVER
SITE = http://debian-knoppix.alioth.debian.org/sources
DOWNLODER = curl -O

KUDZU_DOWNLOAD = kudzu-knoppix_1.1.36-2.tar.gz
KUDZU_DIR = kudzu-1.1.36

# requires pciutils-devel
PCIDIR = {,/usr{,/local}}/lib{64,}

all: hwsetup

hwsetup: libpci.a libkudzu.a kudzu_include
	ln -s ../libkudzu.a hwsetup-$(VERSION)/libkudzu.a
	ln -s ../kudzu_include hwsetup-$(VERSION)/kudzu_include
	ln -s ../libpci.a hwsetup-$(VERSION)/libpci.a
	make -C hwsetup-$(VERSION)
	ln -s hwsetup-$(VERSION)/hwsetup ./hwsetup


libpci.a:
	for dir in $(PCIDIR);do test -f $$dir/libpci.a && ln -s $$dir/libpci.a ./libpci.a || true ;done
	test -f libpci.a

libkudzu.a: $(KUDZU_DIR)
	make -C $(KUDZU_DIR)/ddcprobe lrmi.o
	make -C $(KUDZU_DIR) libkudzu.a
	ln -s $(KUDZU_DIR)/libkudzu.a ./libkudzu.a

kudzu_include: $(KUDZU_DIR)
	ln -s $(KUDZU_DIR) ./kudzu_include

$(KUDZU_DIR): $(KUDZU_DOWNLOAD)
	tar zxf $<

$(KUDZU_DOWNLOAD):
	$(DOWNLODER) $(SITE)/$@


.PHONY: clean realclean
clean:
	rm -f hwsetup
	rm -f libpci.a libkudzu.a kudzu_include
	rm -f hwsetup-$(VERSION)/{libpci.a,libkudzu.a,kudzu_include}
	rm -rf $(KUDZU_DIR)

realclean: clean
	rm -f $(KUDZU_DOWNLOAD)
