=== binsource/mdadm/Makefile ===
VERSION = 1.9.0
SITE = http://neilb.web.cse.unsw.edu.au/source/mdadm
DOWNLODER = curl -O
CC=gcc-3.3.6

all: mdadm

mdadm: mdadm-$(VERSION)
	make -C mdadm-$(VERSION) CC=$(CC)
	strip mdadm-$(VERSION)/mdadm
	ln -s mdadm-$(VERSION)/mdadm ./mdadm

mdadm-$(VERSION): mdadm-$(VERSION).tgz
	tar zxf $<

mdadm-$(VERSION).tgz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f mdadm
	rm -rf mdadm-$(VERSION)

realclean: clean
	rm -rf mdadm-$(VERSION).tgz
