=== binsource/nbd/Makefile ===
VERSION = 2.8.3
SITE = http://jaist.dl.sourceforge.net/sourceforge/nbd/
DOWNLODER = curl -O

CONFIGURE_FLAGS = --disable-syslog
SERVER_MAKE_FLAGS = nbd_server_LDADD="-Wl,-Bstatic -lglib-2.0 -Wl,-Bdynamic"
CLIENT_MAKE_FLAGS = CC="diet gcc" CFLAGS="-O2 -static"

all: nbd-server nbd-client

nbd-server: nbd-$(VERSION)/config.h
	make -C nbd-$(VERSION) $(SERVER_MAKE_FLAGS) nbd-server
	strip nbd-$(VERSION)/nbd-server
	ln -s nbd-$(VERSION)/nbd-server

nbd-client: nbd-$(VERSION)/config.h
	make -C nbd-$(VERSION) $(CLIENT_MAKE_FLAGS) nbd-client
	strip nbd-$(VERSION)/nbd-client
	ln -s nbd-$(VERSION)/nbd-client

nbd-$(VERSION)/config.h: nbd-$(VERSION)
	cd nbd-$(VERSION) && ./configure $(CONFIGURE_FLAGS)

nbd-$(VERSION): nbd-$(VERSION).tar.bz2
	tar xjf $<

nbd-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f nbd-server nbd-client
	rm -rf nbd-$(VERSION)

realclean: clean
	rm -f nbd-$(VERSION).tar.bz2
