=== binsource/shfs/Makefile ===
VERSION = 0.35
SITE = http://jaist.dl.sourceforge.net/sourceforge/shfs
DOWNLODER = curl -O

all: shfsmount

shfsmount: shfs-$(VERSION)
	make -C shfs-$(VERSION)/shfsmount shfsmount
	strip shfs-$(VERSION)/shfsmount/shfsmount
	ln -s shfs-$(VERSION)/shfsmount/shfsmount ./shfsmount

shfs-$(VERSION): shfs-$(VERSION).tar.gz
	tar zxf $<

shfs-$(VERSION).tar.gz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f shfsmount
	rm -rf shfs-$(VERSION)

realclean: clean
	rm -rf shfs-$(VERSION).tar.gz
