=== binsource/sysvinit/Makefile ===
VERSION = 2.86
SITE = ftp://ftp.cistron.nl/pub/people/miquels/sysvinit
DOWNLODER = curl -O

CC="diet gcc"
CFLAGS="-Wall -O2 -fomit-frame-pointer -D_GNU_SOURCE -DUTMP_FILE=\"\\\"/var/run/utmp\\\"\" -DWTMP_FILE=\"\\\"/var/run/utmp\\\"\""

all: init

init: sysvinit-$(VERSION)
	make -C sysvinit-$(VERSION)/src init CC=$(CC) CFLAGS=$(CFLAGS)
	ln -s sysvinit-$(VERSION)/src/init ./init

sysvinit-$(VERSION): sysvinit-$(VERSION).tar.gz
	tar zxf $<

sysvinit-$(VERSION).tar.gz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f init
	rm -rf sysvinit-$(VERSION)

realclean: clean
	rm -rf sysvinit-$(VERSION).tar.gz
