=== binsource/udev/Makefile ===
VERSION = 081
SITE = ftp://www.kernel.org/pub/linux/utils/kernel/hotplug
DOWNLODER = curl -O

all: udev

udev: udev-$(VERSION)
	make -C udev-$(VERSION) udev
	ln -s udev-$(VERSION)/udev ./udev

udev-$(VERSION): udev-$(VERSION).tar.bz2
	tar jxf $<

udev-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f udev
	rm -rf udev-$(VERSION)

realclean: clean
	rm -rf udev-$(VERSION).tar.bz2
