=== debian/changelog ===
kudzu-knoppix (1.1.36-2) unstable; urgency=low

  * Removed autoloading of firewire modules
  * Changes Package name to kudzu-knoppix

 -- root <root@Knoppix>  Thu, 15 Jan 2004 06:04:43 +0100

kudzu (1.1.36-1) unstable; urgency=low

  * new upstream from 2003-11-02
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Sun,  9 Nov 2003 14:15:00 +0100

kudzu (1.1.3-7) unstable; urgency=low

  * working on hppa problem 

 -- Noel Koethe <noel@debian.org>  Mon,  8 Sep 2003 18:50:00 +0200

kudzu (1.1.3-6) unstable; urgency=low

  * fixed a buildd problem with python (2.2->2.3)
  * removed empty /etc/sysconfig from package
    (closes: Bug#199260)

 -- Noel Koethe <noel@debian.org>  Sun,  7 Sep 2003 21:02:00 +0200

kudzu (1.1.3-5) unstable; urgency=low

  * trying to make package for all archs

 -- Noel Koethe <noel@debian.org>  Sun,  7 Sep 2003 13:22:00 +0200

kudzu (1.1.3-4) unstable; urgency=low

  * default python version changed from 2.2 to 2.3
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Sat,  9 Aug 2003 09:49:00 +0200

kudzu (1.1.3-3) unstable; urgency=low

  * rebuild against new libnewt-dev
    (closes: Bug#197087)

 -- Noel Koethe <noel@debian.org>  Sat, 28 Jun 2003 14:00:00 +0200

kudzu (1.1.3-2) unstable; urgency=low

  * correct build-deps to python2.2-dev
    (closes: Bug#193070)

 -- Noel Koethe <noel@debian.org>  Wed, 14 Mai 2003 08:46:00 +0100

kudzu (1.1.3-1) unstable; urgency=low

  * new upstream from 2003-04-17
    (closes: Bug#174838)
  * python2.2 is now used
    (closes: Bug#182458)
  * fixed localisation location
    (closes: Bug#177038)
  * removed note that it doesn't run on each boot
    (closes: Bug#185659)

 -- Noel Koethe <noel@debian.org>  Fri, 25 Apr 2003 19:54:00 +0100

kudzu (0.99.66-2) unstable; urgency=low

  * corrected dependency from python-dev to python2.1-dev
    (closes: Bug#162560)

 -- Noel Koethe <noel@debian.org>  Sun, 29 Sep 2002 09:48:00 +0200

kudzu (0.99.66-1) unstable; urgency=low

  * new upstream version from 2002-08-28
    (closes: Bug#155253)

 -- Noel Koethe <noel@debian.org>  Sat, 14 Sep 2002 13:40:00 +0200

kudzu (0.99.52-1) unstable; urgency=low

  * new upstream version from 2002-04-17

 -- Noel Koethe <noel@debian.org>  Sun, 11 May 2002 14:58:00 +0200

kudzu (0.99.50-3) unstable; urgency=low

  * changed section from misc to utils
    (closes: Bug#145099)

 -- Noel Koethe <noel@debian.org>  Thu,  9 May 2002 22:35:00 +0200

kudzu (0.99.50-2) unstable; urgency=low

  * working on making kudzu available for more archs

 -- Noel Koethe <noel@debian.org>  Mon, 29 Apr 2002 20:21:00 +0200

kudzu (0.99.50-1) unstable; urgency=medium

  * new upstream version from 2002-04-08

 -- Noel Koethe <noel@debian.org>  Tue, 23 Apr 2002 13:15:00 +0200

kudzu (0.99.49-1) unstable; urgency=low

  * new upstream version from 2002-03-03
    (closes: Bug#133549)
  * upstream splitted the kudzu package into kudzu and hwdata
    (http://packages.debian.org/hwdata)
  * added upstream changelog entries from .spec to Debian
    package
  * added kudzu homepage (http://rhlinux.redhat.com/kudzu/)
    to copyright and the description in control
  * change description to the orginal description from
    redhat.

 -- Noel Koethe <noel@debian.org>  Tue, 12 Feb 2002 13:50:00 +0100

kudzu (0.99.45-1) unstable; urgency=low

  * new upstream version from 2002-01-16
    (closes: Bug#129043)
    (closes: Bug#129695)
  * upstream corrected my following reported bug
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56527
  * upstream corrected pci.c so that the knoppix patch
    isn't needed anymore
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56773
  * updated mandrake pcitable to version 1.96 from
    http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/ldetect-lst/lst/pcitable

 -- Noel Koethe <noel@debian.org>  Thu, 17 Jan 2002 17:15:00 +0100

kudzu (0.99.40-7) unstable; urgency=low

  * fixed error when copying pcitable.
    It was named pcitable-merge instead of pcitable
    (closes: Bug#127429)

 -- Noel Koethe <noel@debian.org>  Sat,  5 Jan 2002 19:59:00 +0100

kudzu (0.99.40-6) unstable; urgency=low

  * kudzu ddcprobe bins only works on i386
    I set the arch to only i386. Maybe I will move the ddcprobe
    binaries to an extra package

 -- Noel Koethe <noel@debian.org>  Mon, 24 Dec 2001 20:00:00 +0100

kudzu (0.99.40-5) unstable; urgency=low

  * corrected archs where kudzu makes sense
    (closes: Bug#121618)
  * added missing programms from ddcprobe directory

 -- Noel Koethe <noel@debian.org>  Fri, 22 Dec 2001 13:44:00 +0100

kudzu (0.99.40-4) unstable; urgency=low

  * add missing directory /etc/sysconfig where kudzu
    places its configuration files
    (closes: Bug#125896)
  * merge the pcitable of redhat and mandrake together and
    put this into kudzu-common
  * corrected debian/control to get a correct handling
    when switch between kudzu-common and kudzu-common-knoppix

 -- Noel Koethe <noel@debian.org>  Thu, 20 Dec 2001 14:44:00 +0100

kudzu (0.99.40-3) unstable; urgency=low

  * corrected minor spelling error in debian/controll
    (closes: Bug#124851)

 -- Noel Koethe <noel@debian.org>  Mon, 17 Dec 2001 23:56:01 +0100

kudzu (0.99.40-2) unstable; urgency=low

  * to have a datafile from redhat or mandrake doesn't make sense
    because we only want hardware detection and it doesn't interest
    us which hardware db we use.
    I will merge the redhat and mandrake and filter the entries which
    are twice in the list.
    There is a kudzu-common-knoppix which have so special changes
    for the knoppix live cd (www.knoppix.de)
  * added a missing -fpic in Makefile which should repair #121618
    (will close the bug if it really works)

 -- Noel Koethe <noel@debian.org>  Sun, 16 Dec 2001 17:43:00 +0100

kudzu (0.99.40-1) unstable; urgency=low

  * new upstream version from:
    ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/
  * moved -common to -data and provides now the original

