=== debian/control ===
Source: kudzu-knoppix
Section: utils
Priority: optional
Maintainer: Noèl Köthe <noel@debian.org>
Build-Depends: debhelper (>> 3.0.0), pciutils-dev, python2.3-dev, libnewt-dev, libpopt-dev, gettext, perl, dietlibc-dev
Standards-Version: 3.6.1

Package: kudzu-knoppix
Provides: kudzu, kudzu-knoppix
Architecture: any
Depends: ${shlibs:Depends}, hwdata, python
Description: The Red Hat Linux hardware probing tool.
 This is a hardware probing tool run at system boot time to determine
 what hardware has been added or removed from the system.
 .
 http://rhlinux.redhat.com/kudzu/

Package: kudzu-knoppix-dev
Provides: kudzu-dev, kudzu-knoppix-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, hwdata, kudzu
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains the header files and the staticlibs.
