=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

ARCH ?= $(shell dpkg --print-architecture)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	# dccprobe/vesa stuff only works on i386
	#if [ $(ARCH) = i386 ]; then \
	#	cd ddcprobe && $(MAKE) ; \
	#fi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f *.do

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/kudzu.

	# kudzu
	mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/lib/python2.3/site-packages
	cp python2.3/_kudzumodule.so $(CURDIR)/debian/kudzu-knoppix/usr/lib/python2.3/site-packages/
	cp kudzu.py $(CURDIR)/debian/kudzu-knoppix/usr/lib/python2.3/site-packages/
	# LC_ files
	-for i in `ls po/*.mo`; do \
		l=`echo $$i|sed -e "s/po\/\(.*\)\.mo/\1/"`; \
		mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/share/locale/$$l/LC_MESSAGES/; \
		cp $$i $(CURDIR)/debian/kudzu-knoppix/usr/share/locale/$$l/LC_MESSAGES/kudzu.mo; \
	done
	#cp po/*.mo $(CURDIR)/debian/kudzu-knoppix/usr/share/locale/kudzu/LC_MESSAGES/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/sbin
	cp kudzu $(CURDIR)/debian/kudzu-knoppix/usr/sbin/
	cp updfstab $(CURDIR)/debian/kudzu-knoppix/usr/sbin/
	cp module_upgrade $(CURDIR)/debian/kudzu-knoppix/usr/sbin/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/share/man/man8
	cp *.8 $(CURDIR)/debian/kudzu-knoppix/usr/share/man/man8/

	# kudzu-vesa
	#if [ $(ARCH) = i386 ]; then \
	#	cp ddcprobe/ddcprobe $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#	cp ddcprobe/ddcxinfo $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#	cp ddcprobe/modetest $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#	cp ddcprobe/svgamodes $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#fi

	# kudzu-dev
	mkdir -p $(CURDIR)/debian/kudzu-knoppix-dev/usr/include/kudzu
	cp *.h $(CURDIR)/debian/kudzu-knoppix-dev/usr/include/kudzu/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib
	cp libkudzu.a $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib/
	cp libkudzu_loader.a $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
